using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;
using System.Drawing;

public partial class Admin_SheZhi_ShuiYinSheZhi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改水印设置", "网站后台", "更改水印设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        foreach (FontFamily 字体 in FontFamily.Families)
        {
            ListItem 列表项 = new ListItem(字体.Name, 字体.Name);
            ZiTi.Items.Add(列表项);
        }

        if (this.IsPostBack)
            更改设置();
        else
            设置();
    }
    private void 设置()
    {
        if (Convert.ToBoolean(程序.设置["水印设置_水印类型"]))
            ShuiYinLeiXing_T.Checked = true;
        else
            ShuiYinLeiXing_F.Checked = true;
        switch (Convert.ToInt32(程序.设置["水印设置_水印位置"]))
        {
            case 1:
                ShuiYinWeiZhi_1.Checked = true;
                break;
            case 2:
                ShuiYinWeiZhi_2.Checked = true;
                break;
            case 3:
                ShuiYinWeiZhi_3.Checked = true;
                break;
            case 4:
                ShuiYinWeiZhi_4.Checked = true;
                break;
            case 5:
                ShuiYinWeiZhi_5.Checked = true;
                break;
            case 6:
                ShuiYinWeiZhi_6.Checked = true;
                break;
            case 7:
                ShuiYinWeiZhi_7.Checked = true;
                break;
            case 8:
                ShuiYinWeiZhi_8.Checked = true;
                break;
            default:
                ShuiYinWeiZhi_9.Checked = true;
                break;
        }
        TouMingDu.Text = Convert.ToString(程序.设置["水印设置_水印图片透明度"]);
        WenZi.Text = Convert.ToString(程序.设置["水印设置_水印文字"]);
        YanSe.Text = Convert.ToString(程序.设置["水印设置_水印文字颜色"]);
        YanSe.Style["background"] = Convert.ToString(程序.设置["水印设置_水印文字颜色"]);
        DaXiao.Text = Convert.ToString(程序.设置["水印设置_水印文字大小"]);
        ShiFouJiaChu.Checked = Convert.ToBoolean(程序.设置["水印设置_水印文字是否加粗"]);
        TuPianDiZhi.Value = Convert.ToString(程序.设置["水印设置_水印图片"]);
        TuPian.ImageUrl = Convert.ToString(程序.设置["水印设置_水印图片"]);
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["水印设置_水印类型"] = ShuiYinLeiXing_T.Checked;
        int 水印位置 = 0;
        if (ShuiYinWeiZhi_1.Checked)
            水印位置 = 1;
        else if (ShuiYinWeiZhi_2.Checked)
            水印位置 = 2;
        else if (ShuiYinWeiZhi_3.Checked)
            水印位置 = 3;
        else if (ShuiYinWeiZhi_4.Checked)
            水印位置 = 4;
        else if (ShuiYinWeiZhi_5.Checked)
            水印位置 = 5;
        else if (ShuiYinWeiZhi_6.Checked)
            水印位置 = 6;
        else if (ShuiYinWeiZhi_7.Checked)
            水印位置 = 7;
        else if (ShuiYinWeiZhi_8.Checked)
            水印位置 = 8;
        else
            水印位置 = 9;

        程序.设置["水印设置_水印位置"] = 水印位置;
        程序.设置["水印设置_水印图片"] = TuPianDiZhi.Value;
        程序.设置["水印设置_水印图片透明度"] = TouMingDu.Text;
        程序.设置["水印设置_水印文字"] = WenZi.Text;
        程序.设置["水印设置_水印文字颜色"] = YanSe.Text;
        程序.设置["水印设置_水印文字字体"] = ZiTi.SelectedValue;
        程序.设置["水印设置_水印文字大小"] = DaXiao.Text;
        程序.设置["水印设置_水印文字是否加粗"] = ShiFouJiaChu.Checked;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改水印设置", 访问.用户["昵称"].ToString());

        TuPian.ImageUrl = Convert.ToString(程序.设置["水印设置_水印图片"]);
    }
}
